Ubuntu, Adobe Air et Seesmic ou TweetDeck

logo © Adobe

Vous avez une idée ? Trouvez gratuitement des développeurs sur Codeur.com !

Recevez des devis (gratuit)

Je voudrais installer et tester plusieurs clients Twitter en Ubuntu. TweetDeck et Seesmic me semblent particulièrement intéressant.

Problème : ils n’ont pas de version Linux…

copies d’écran © Seesmic

Non, pas nativement. Il n’existe pas de TweetDeck ou Seesmic directement exécutable sous Linux, mais ce n’est pas gênant.

TweetDeck et Seesmic sont tous deux basés sur Adobe Air. Ils nécessitent donc d’installer Adobe Air sous Ubuntu avant de pouvoir les installer et les utiliser.

Installons donc Adobe Air.

J’utilise Ubuntu 10.04 en 64 bits. Mais ces explications devraient être utilisables sous d’autres distributions.

La première étape est de télécharger Adobe Air depuis le site d’ Adobe.

C’est simple, le lien « Get Adobe Air » se trouve en page d’accueil du site Adobe.

Adobe vous propose normalement la version d’Adobe Air correspondant à votre système d’exploitation. A la fin du téléchargement, vous devriez avoir le fichier d’installation « AdobeAIRInstaller.bin » sur votre PC.

Le fichier téléchargé n’est pas exécutable.

J’ouvre un terminal, et je vais dans le dossier de téléchargement :

$ cd /home/didier/Téléchargements/
didier@didier-ubuntu:~/Téléchargements$ chmod +x AdobeAIRInstaller.bin
didier@didier-ubuntu:~/Téléchargements$ ls -l AdobeAIRInstaller.bin
-rwxr-xr-x 1 didier didier 13736148 2010-05-29 03:14 AdobeAIRInstaller.bin

Je démarre l’installation :

didier@didier-ubuntu:~/Téléchargements$ sudo ./AdobeAIRInstaller.bin
[sudo] password for didier:


L’installation d’Adobe AIR est terminée.

Deux éléments ont été ajoutés dans le menu accessoire :

Je clique sur « Adobe AIR Application Installer »… et rien ne se passe !

J’essaye de lancer l’installer en ligne de commande :

$ Adobe\ AIR\ Application\ Installer
Error loading the runtime (libadobecertstore.so: cannot open shared object file: No such file or directory)

Ce problème est connu et est limité à Ubuntu 64 bits.

La solution est expliquée sur Ubuntu-fr.org.

Il manque une librairie 32 bits « libadobecertstore.so » dans /usr/lib32.

Par contre, je modifie un peu la solution indiquée. Au lieu de copier la librairie, je mets un lien symbolique :

$ cd /usr/lib32
didier@didier-ubuntu:/usr/lib32$ sudo ln /usr/lib/libadobecertstore.so  libadobecertstore.so

Je réessaye.

Ok, ça fonctionne !

La fenêtre me demandant de sélectionner le package d’installation s’ouvre.
Et je n’ai pas encore ce package 😉

Il me suffit de le télécharger. Je retourne sur le site de Seesmic (ou de TweetDeck, c’est le même principe) :

Je sauve le fichier d’installation de Seesmic, et je relance le Adobe AIR Application Installer.

L’installation se passe sans problème, assez classiquement :

La fenêtre de configuration de Seesmic apparait :

Configurez votre compte Twitter.

Supprimez la vérification orthographique en anglais.

Configurez vos services annexes : bit.ly, TwitPic, etc…

Sauvez, et Seesmic Desktop est prêt à être utilisé 😉

L’installation d’ Adobe Air, surtout sur un Ubuntu 64 bits, est le point intéressant de cet article.

Une fois Adobe AIR installé, l’installation de Seesmic et sa configuration se font sans problème.

😉

Pour TweetDeck, le principe est identique :

  • installer Adobe AIR si ce n’est pas encore fait
  • Télécharger l’installateur de TweetDeck depuis leur site
  • Démarrez l’ Adobe AIR Application Installer, et spécifier le fichier d’installation de TweetDeck que vous venez de télécharger.
  • Configurez TweetDeck : compte Twitter, etc

Ce billet expliquant l’installation d’ Adobe AIR et de Seesmic, a été fait à la demande de BoukerchaKarim. 😉

L'équipe de WebActus.net vous propose tous les jours des articles sur l'univers des startups, du e-commerce et du growth hacking.
  • Pingback: Ubuntu, Adobe Air et Seesmic ou TweetDeck | WebActus | Information Mining R&D()

  • Charles-Frédéric Fiegel

    Merci pour ce mode « tuto » mais sous un LTS 10.04 ça ne marche pas (j’avais déjà le même problème avec tweetdeck) c’est au moment de créer les comptes que ça coince. En lançant en root depuis un terminal j’arrive à voir les messages d’erreur :

    Gtk-Message: Failed to load module « globalmenu-plugin »: /usr/lib/gtk-2.0/modules/libglobalmenu-plugin.so: mauvaise classe ELF : ELFCLASS64
    Unknown desktop manager, only Gnome and KDE are supported

    En regardant sur d’autres forum je ne trouve pas grand’chose, a part que ce serait du aux versions ubuntu64 antérieures à 10.10, comme je suis sous 10.04 car je veux le LTS… Tant pis pour moi. A moins que ?

Rejoignez la communauté Webactus

Recevez régulièrement les meilleures actus et ressources

Pas de spam, vous pouvez vous désabonner à tous moment.